package com.zjrs.ggfw.dzsbk.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 电子社保卡签发信息
 * </p>
 *
 * @author jobob
 * @since 2021-03-26
 */
@TableName("V_RS_DZSBK_QF")
@ApiModel(value="VRsDzsbkQf对象", description="电子社保卡签发信息")
public class VRsDzsbkQf {
	
    @ApiModelProperty(value = "电子社保卡签发流水号")
    @TableId(value = "RS_DZSBK_QF_LSH", type = IdType.ASSIGN_UUID)
    private String rsDzsbkQfLsh;

    @ApiModelProperty(value = "用户ID")
    @TableField("USERID")
    private String userid;
    
    @ApiModelProperty(value = "渠道编号")
    @TableField("CHANNEL_NO")
    private String channelNo;
    
    @ApiModelProperty(value = "社会保障号码")
    @TableField("AAC002")
    private String aac002;
    
    @ApiModelProperty(value = "姓名")
    @TableField("AAC003")
    private String aac003;
    
    @ApiModelProperty(value = "行政区划")
    @TableField("AAB301")
    private String aab301;
    
    @ApiModelProperty(value = "手机号码")
    @TableField("AAC067")
    private String aac067;
    
    @ApiModelProperty(value = "签发号")
    @TableField("SIGN_NO")
    private String signNo;
    
    @ApiModelProperty(value = "签发日期")
    @TableField("SIGN_DATE")
    private String signDate;
    
    @ApiModelProperty(value = "微信公众号唯一标识")
    @TableField("OPENID")
    private String openid;
    
    @ApiModelProperty(value = "微信授权token")
    @TableField("ACCESS_TOKEN")
    private String accessToken;
    
    @ApiModelProperty(value = "微信实名验证授权")
    @TableField("AUTH_TOKEN")
    private String authToken;
    
    @ApiModelProperty(value = "微信实名验证时间")
    @TableField("REAL_TIME")
    private String realTime;

	public String getRsDzsbkQfLsh() {
		return rsDzsbkQfLsh;
	}

	public void setRsDzsbkQfLsh(String rsDzsbkQfLsh) {
		this.rsDzsbkQfLsh = rsDzsbkQfLsh;
	}

	public String getUserid() {
		return userid;
	}

	public void setUserid(String userid) {
		this.userid = userid;
	}

	public String getChannelNo() {
		return channelNo;
	}

	public void setChannelNo(String channelNo) {
		this.channelNo = channelNo;
	}

	public String getAac002() {
		return aac002;
	}

	public void setAac002(String aac002) {
		this.aac002 = aac002;
	}

	public String getAac003() {
		return aac003;
	}

	public void setAac003(String aac003) {
		this.aac003 = aac003;
	}

	public String getAab301() {
		return aab301;
	}

	public void setAab301(String aab301) {
		this.aab301 = aab301;
	}

	public String getAac067() {
		return aac067;
	}

	public void setAac067(String aac067) {
		this.aac067 = aac067;
	}

	public String getSignNo() {
		return signNo;
	}

	public void setSignNo(String signNo) {
		this.signNo = signNo;
	}

	public String getSignDate() {
		return signDate;
	}

	public void setSignDate(String signDate) {
		this.signDate = signDate;
	}

	public String getOpenid() {
		return openid;
	}

	public void setOpenid(String openid) {
		this.openid = openid;
	}

	public String getAccessToken() {
		return accessToken;
	}

	public void setAccessToken(String accessToken) {
		this.accessToken = accessToken;
	}

	public String getAuthToken() {
		return authToken;
	}

	public void setAuthToken(String authToken) {
		this.authToken = authToken;
	}

	public String getRealTime() {
		return realTime;
	}

	public void setRealTime(String realTime) {
		this.realTime = realTime;
	}
}